Managed Service for Redis API, REST: Cluster.ListHosts
Retrieves a list of hosts for the specified cluster.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-redis/v1/clusters/{clusterId}/hosts
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the Redis cluster. The maximum string length in characters is 50. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"hosts": [
{
"name": "string",
"clusterId": "string",
"zoneId": "string",
"subnetId": "string",
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"role": "string",
"health": "string",
"services": [
{
"type": "string",
"health": "string"
}
],
"shardName": "string",
"replicaPriority": "string",
"assignPublicIp": "boolean"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
hosts[] |
List of hosts for the cluster. |
|
nextPageToken |
string This token allows you to get the next page of results for list requests. If the number of results |
Host
|
Field |
Description |
|
name |
string Required field. Name of the Redis host. The host name is assigned by MDB at creation time, and cannot be changed. |
|
clusterId |
string Required field. ID of the Redis cluster. The ID is assigned by MDB at creation time. |
|
zoneId |
string Required field. ID of the availability zone where the Redis host resides. |
|
subnetId |
string ID of the subnet that the host belongs to. |
|
resources |
Required field. Resources allocated to the Redis host. |
|
role |
enum (Role) Required field. Role of the host in the cluster. If the field has default value, it is not returned in the response.
|
|
health |
enum (Health) Required field. Aggregated health of the host. If the field has default value, it is not returned in the response.
|
|
services[] |
Services provided by the host. |
|
shardName |
string Name of the shard that the host belongs to. |
|
replicaPriority |
string (int64) A replica with a low priority number is considered better for promotion. |
|
assignPublicIp |
boolean Flag showing public IP assignment status to this host. |
Resources
|
Field |
Description |
|
resourcePresetId |
string Required field. ID of the preset for computational resources available to a host (CPU, memory etc.). |
|
diskSize |
string (int64) Volume of the storage available to a host, in bytes. |
|
diskTypeId |
string Type of the storage environment for the host.
|
Service
|
Field |
Description |
|
type |
enum (Type) Type of the service provided by the host. If the field has default value, it is not returned in the response.
|
|
health |
enum (Health) Required field. Aggregated health of the service. If the field has default value, it is not returned in the response.
|